/// <reference types="node" />
import { IObjectFields } from "../types/typings";
export declare class ValueStream<T> {
    _stream: NodeJS.ReadableStream;
    private _onData;
    private _middleware;
    private _onError;
    private _onClose;
    private _internalOnClose;
    private closed;
    onData: (data: IObjectFields<T>) => void;
    onError: (err: any) => void;
    onClose: () => void;
    middleware: (data: IObjectFields<T>) => boolean;
    constructor(stream: NodeJS.ReadableStream);
    untilEnd(): Promise<void>;
}
