import { BaseOperation } from "./database.operations";
import { Datastore } from "../datastore/datastore";
import { IEdit } from "../types/edit.types";
import { Model } from "../model/model";
export declare class EditOperation<T extends Model<T>> implements BaseOperation<T> {
    private _store;
    private _id;
    private _item;
    private _data;
    constructor(store: Datastore<T>, id?: string, item?: T);
    item(item: T): this;
    id(id: string): this;
    with(data: IEdit<T>): this;
    run(): Promise<T>;
    edit(): Promise<T>;
}
