import { IObjectMetadata } from "../model/model";
declare type FilterFlags<T> = {
    [Key in keyof T]: T[Key] extends Function ? never : T[Key] extends IObjectMetadata ? never : Key;
};
declare type AllowedFlags<T> = FilterFlags<T>[keyof T];
export declare type IEdit<T> = {
    [P in keyof Pick<T, AllowedFlags<T>>]?: T[P];
};
export {};
