declare type FilterFlags<T> = {
    [Key in keyof T]: T[Key] extends Function ? never : Key;
};
declare type AllowedFlags<T> = FilterFlags<T>[keyof T];
export declare type IFilter<T> = {
    [P in keyof Pick<T, AllowedFlags<T>>]: T[P];
};
export {};
